{-# LANGUAGE NoImplicitPrelude #-}
{-# LANGUAGE OverloadedStrings #-}
module Handler.Categories where

import Import hiding ( on, (==.) )

import Database.Esqueleto
import Widget.Feed ( hFeed )
import Model.Category ( Category, asTag )

getCategoryR :: Category -> Handler Html
getCategoryR tag = do
    entries <- runDB . select . from $ \(entry `InnerJoin` category) -> do
        on $ entry ^. EntryId ==. category ^. EntryCategoryEntryId
        where_ $ category ^. EntryCategoryCategory ==. val tag
        return entry
    defaultLayout $ do
        setTitle . toHtml . asTag $ tag
        hFeed entries
